Search the VMware Knowledge Base (KB)
View by Article ID

vCenter Single Sign-On and Platform Services Controller Compatibility Matrix with vCenter Server (2120504)

  • 5 Ratings

Purpose

This article provides information on vCenter Single Sign-On and the Platform Services Controller compatibility regarding the interoperability of vCenter Server between versions of vSphere. 

Note: When reviewing interoperability between 2nd party VMware Products (e.g. Site Recovery Manager, vCloud Director, vRealize Automation Center), consult the Solution Interoperability section in the VMware Product Interoperability Matrixes for vCenter Server due to the tight coupling of vCenter Server and vCenter Single Sign-On or Platform Services Controller,

Resolution

These tables describes the supported vCenter Server version that can be used with vCenter Single Sign-On (SSO) or Platform Services Controller (PSC) to provide high availability. Please see the notes where applicable.
  • Install (I) - Performing a fresh install of vCenter 5.x or 6.x against a SSO or PSC
  • Repointing (R) - Performing a repoint operation from vCenter Server to a new or existing SSO or PSC node in a vSphere domain.
  • Upgrade Backwards Compatibility (U) - Performing an upgrade or update of an SSO or PSC node to a later version while retaining interoperability between the current vCenter Server version.


vCenter Server Version
5.15.56.0
IRUIRUIRU
vCenter Single Sign-On /
Platform Services Controller
Version
SSO 5.1YesYesYesNoNoNoNoNoNo
SSO 5.5Yes 1Yes 1Yes 1YesYesYesNoNoNo
PSC 6.0NoNoNoNoNoYes 2YesYesYes

Notes:
  1. Customers can utilize a vCenter Single Sign-On 5.5 instance with vCenter Server 5.1 as long as they are running vSphere 5.1 Update 1 or later. For more information, see Supported vCenter Single Sign-On 5.5 configuration and interoperability with vSphere 5.1 (2059249).

  2. Customers can utilize a Platform Services Controller 6.0 with vCenter Server 5.5 only in an environment in which you are performing a rolling upgrade. However, VMware does not support fresh installs or repointing of vCenter Server 5.5 against a PSC 6.0, nor does VMware support leaving your environment in a hybrid-type deployment of vSphere 5.5 with vSphere 6.0. VMware recommends you to upgrade vCenter Single Sign-On 5.5 to Platform Services Controller 6.0 first and then your vCenter Server from 5.x to 6.0.  For more information, see Mixed-Version Transitional Environments in vCenter Server for Windows Upgrades in the vSphere Upgrade guide.

Additional Information

See Also

Request a Product Feature

To request a new product feature or to provide feedback on a VMware product, please visit the Request a Product Feature page.

Feedback

  • 5 Ratings

Did this article help you?
This article resolved my issue.
This article did not resolve my issue.
This article helped but additional information was required to resolve my issue.

What can we do to improve this information? (4000 or fewer characters)




Please enter the Captcha code before clicking Submit.
  • 5 Ratings
Actions
KB: